org.jboss.jca.embedded.dsl.resourceadapters11.api

## Interface CredentialType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface CredentialType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `credentialType` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getPassword()` Returns the `password` element
    `java.lang.String` | `getSecurityDomain()` Returns the `security-domain` element
    `java.lang.String` | `getUserName()` Returns the `user-name` element
    `CredentialType<T>` | `password(java.lang.String password)` Sets the `password` element
    `CredentialType<T>` | `removePassword()` Removes the `password` element
    `CredentialType<T>` | `removeSecurityDomain()` Removes the `security-domain` element
    `CredentialType<T>` | `removeUserName()` Removes the `user-name` element
    `CredentialType<T>` | `securityDomain(java.lang.String securityDomain)` Sets the `security-domain` element
    `CredentialType<T>` | `userName(java.lang.String userName)` Sets the `user-name` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### userName

          CredentialType<T> userName(java.lang.String userName)

      Sets the `user-name` element
      Parameters:
        `userName` - the value for the element `user-name`
      Returns:
        the current instance of `CredentialType`

    - #### getUserName

          java.lang.String getUserName()

      Returns the `user-name` element
      Returns:
        the node defined for the element `user-name`

    - #### removeUserName

          CredentialType<T> removeUserName()

      Removes the `user-name` element
      Returns:
        the current instance of `CredentialType`

    - #### password

          CredentialType<T> password(java.lang.String password)

      Sets the `password` element
      Parameters:
        `password` - the value for the element `password`
      Returns:
        the current instance of `CredentialType`

    - #### getPassword

          java.lang.String getPassword()

      Returns the `password` element
      Returns:
        the node defined for the element `password`

    - #### removePassword

          CredentialType<T> removePassword()

      Removes the `password` element
      Returns:
        the current instance of `CredentialType`

    - #### securityDomain

          CredentialType<T> securityDomain(java.lang.String securityDomain)

      Sets the `security-domain` element
      Parameters:
        `securityDomain` - the value for the element `security-domain`
      Returns:
        the current instance of `CredentialType`

    - #### getSecurityDomain

          java.lang.String getSecurityDomain()

      Returns the `security-domain` element
      Returns:
        the node defined for the element `security-domain`

    - #### removeSecurityDomain

          CredentialType<T> removeSecurityDomain()

      Removes the `security-domain` element
      Returns:
        the current instance of `CredentialType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)